<?php /* Post Format: Video */ ?>

<div id="post-<?php the_ID(); ?>" <?php post_class('post-single'); ?>>
    <?php if ( is_single() || is_home() || is_category() || is_search() || is_date() || is_tag() || is_author() ) { ?>
    <div class="post-wrapper">
        <div class="post-header">
            <?php if ( is_single() ) { ?>
            	<h1><?php the_title(); ?></h1>
            <?php } else if (is_home()) { ?>
            	<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <?php } ?>
        </div><!--.post-header-->
        <div class="clearleft"></div>
        <div class="post-content">
        	<div class="video-container">
     <?php } 
			$videolink = video_grabber();
			$videocontent = preg_replace('/\s+/', '', $videolink);
			$videocode = getvideo ( $videocontent, 400, 225 );
			
			if( is_single() || is_home() || is_category() || is_search() || is_date() || is_tag() || is_author()) {
			echo $videocode;
			} else {
				
				if ( has_post_thumbnail() ) { ?>
                
                	<?php $ov_vid = get_option_tree('show_overlays','',false,true,-1);
					if ( isset($ov_vid[2])  ) {
						if ( function_exists('get_option_tree') && $ov_vid[2] == 'Video' ) { ?>
    				<div class="overlay-video"></div>
    				<?php }} ?>
                	<div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in">
    					<a href="<?php the_permalink(); ?>">
    						<div class="image-link-inner"></div>
    					</a>
                        
                        <?php if ( function_exists('get_option_tree') && get_option_tree('disable_captions') != 'Never show' ) {
						?>
        				<div class="image-post-overlay">
							<div class="image-post-overlay-in">
								<?php the_title(); ?>
            				</div>
        				</div>
        				<?php } ?>
                        
						<style type="text/css">
						#post-<?php echo $post->ID; ?>-in {
							<?php $image_id = get_post_thumbnail_id();
							$image_url = wp_get_attachment_image_src($image_id,'large', true);
							$postthumb = $image_url[0];
							echo 'background-image: url("'.$postthumb.'");'; ?>
							filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(
							src='<?php echo $postthumb; ?>',
							sizingMethod='scale');
							-ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(
							src='<?php echo $postthumb; ?>',
							sizingMethod='scale')";
						}
						</style>
    				</div>
					
				<?php } else { // if the post does not have a thumbnail - get a thumbnail directly from YouTube or Vimeo ?>
                	
                    <?php $ov_vid = get_option_tree('show_overlays','',false,true,-1);
					if ( isset($ov_vid[2])  ) {
						if ( function_exists('get_option_tree') && $ov_vid[2] == 'Video' ) { ?>
    				<div class="overlay-video"></div>
    				<?php }} ?>
					<?php $video_url = parse_url( $videocontent );
                    if ( $video_url['host'] == 'youtube.com' || $video_url['host'] == 'www.youtube.com' ) { ?>
                    	<div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in">
                        	<a href="<?php the_permalink() ?>">
    							<div class="image-link-inner"></div>
    						</a>
						<style type="text/css">
						#post-<?php echo $post->ID; ?>-in {
							<?php echo 'background-image: url("http://i.ytimg.com/vi/'.$videocode.'/maxresdefault.jpg");'; ?>
						}
						</style>
    					</div>
                        
                    <?php } elseif ( $video_url['host'] == 'vimeo.com' || $video_url['host'] == 'www.vimeo.com' ) { ?>
                        <div class="inner-image-placeholder" id="vimeo-<?php echo $videocode; ?>">
                            <a href="<?php the_permalink() ?>">
                                <div class="image-link-inner"></div>
                            </a>
                            <script type="text/javascript">
							vimeoLoadingThumb(<?php echo $videocode; ?>);
                            </script>
                        </div>					
                    <?php } 
					}
			}
			if ( is_single() || is_home() || is_category() || is_search() || is_date() || is_tag() || is_author() ) { ?>
            </div>
        </div>
        <?php include 'post-meta.php'; ?>
        <div class="clearboth"></div>   
    </div>
    <?php } ?>
</div><!--.post-single-->